Get a video stream
Get a video streaming asset, generated renditions, captions, and analytics counts.
GET
/
api
/
video
/
streams
/
{id}
Get a video stream
curl --request GET \
--url https://convertly.sh/api/video/streams/{id} \
--header 'Authorization: Bearer <token>'{
"stream": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbackId": "<string>",
"profile": "<string>",
"duration": 123,
"width": 123,
"height": 123,
"manifestUrl": "<string>",
"posterUrl": "<string>",
"renditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 123,
"height": 123,
"bitrate": 123,
"averageBitrate": 123,
"codec": "h264",
"audioCodec": "aac",
"segmentCount": 123
}
],
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"packageFormats": [],
"hlsManifestUrl": "<string>",
"dashManifestUrl": "<string>",
"tokenTtlSeconds": 123,
"allowedDomains": [
"<string>"
],
"captions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"language": "<string>",
"url": "<string>"
}
],
"analytics": {
"events": 123,
"plays": 123
}
}
}⌘I
Get a video stream
curl --request GET \
--url https://convertly.sh/api/video/streams/{id} \
--header 'Authorization: Bearer <token>'{
"stream": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbackId": "<string>",
"profile": "<string>",
"duration": 123,
"width": 123,
"height": 123,
"manifestUrl": "<string>",
"posterUrl": "<string>",
"renditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 123,
"height": 123,
"bitrate": 123,
"averageBitrate": 123,
"codec": "h264",
"audioCodec": "aac",
"segmentCount": 123
}
],
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"packageFormats": [],
"hlsManifestUrl": "<string>",
"dashManifestUrl": "<string>",
"tokenTtlSeconds": 123,
"allowedDomains": [
"<string>"
],
"captions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"language": "<string>",
"url": "<string>"
}
],
"analytics": {
"events": 123,
"plays": 123
}
}
}